package ru.cft.task.restClient;

import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.MenuItem;
import javafx.scene.control.TextField;
import javafx.stage.Modality;
import javafx.stage.Stage;

import java.io.IOException;

public class MainController {

    private Stage mainStage;

    public void setMainApp(Stage mainStage) {
        this.mainStage = mainStage;
    }

    public Stage getMainApp() {
        return this.mainStage;
    }

    @FXML
    private MenuItem srv_config;
    @FXML
    private MenuItem create;
    @FXML
    private MenuItem read;
    @FXML
    private MenuItem update;
    @FXML
    private MenuItem delete;

    public void quitApp() {
        System.exit(0);
    }

    private void showModal(String fxml, String title) {
        Stage stage = null;
        try {
            Scene scene = new Scene(FXMLLoader.load(getClass().getResource(fxml)));
            stage = new Stage();
            stage.setScene(scene);
            stage.setResizable(false);
            stage.centerOnScreen();
            stage.setTitle(title);
            stage.initOwner(mainStage);
            stage.initModality(Modality.APPLICATION_MODAL);
            stage.showAndWait();
        } catch (IOException e) {
            Utils.showAlert("error", e.getMessage());
        }
    }

    public void showServerConfig() {
        showModal("/config.fxml", srv_config.getText());
    }

    public void createAction() {
        showModal("/form_create.fxml", create.getText());
    }

    public void readAction() {
        showModal("/form_read.fxml", read.getText());
    }

    public void updateAction() {
        showModal("/form_update.fxml", update.getText());
    }

    public void deleteAction() {
        showModal("/form_delete.fxml", delete.getText());
    }
}